# Interface MessageDialogOptions

interface MessageDialogOptions {
Buttons: undefined | Button[];
Detached: undefined | boolean;
Message: undefined | string;
Title: undefined | string;
}

- Defined in dialogs.js:56

#####
Index

### Properties

Buttons
Detached
Message
Title

## Properties

### Buttons

Buttons: undefined | Button[]

Array of button options to show in the dialog.

- Defined in dialogs.js:59

### Detached

Detached: undefined | boolean

True if the dialog should appear detached from the main window (if applicable).

- Defined in dialogs.js:60

### Message

Message: undefined | string

The main message to show in the dialog.

- Defined in dialogs.js:58

### Title

Title: undefined | string

The title of the dialog window.

- Defined in dialogs.js:57

Generated using TypeDoc